# Maintainer: Aiden Giles <nota@mail.org>
pkgname=latte-dock-config-git
pkgver=r59.4a5cb0b
pkgrel=4
pkgdesc="HawkOS Latte config"
arch=('any')
url="https://gitlab.com/hawkos-packages/configs/latte-dock-config.git"
license=('GPL')
groups=()
depends=('latte-dock')
makedepends=('git')
provides=("${pkgname}")
conflicts=("${pkgname}")
replaces=()
backup=()
options=()
install=
source=("git+$url")
noextract=()
md5sums=('SKIP')

# Please refer to the 'USING VCS SOURCES' section of the PKGBUILD man page for
# a description of each element in the source array.

pkgver() {
	cd "$srcdir/${pkgname%-git}"
	printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
}

package() {
	cd "$srcdir/${pkgname%-git}"
	install -D -m600 Default.layout.latte $pkgdir/etc/skel/.config/latte/Default.layout.latte
	install -D -m600 lattedockrc $pkgdir/etc/skel/.config/lattedockrc
	install -D -m600 Default.layout.latte $HOME/.config/latte/Default.layout.latte
	install -D -m600 lattedockrc $HOME/.config/lattedockrc
}
